Yes ... Listen to XianLi & Volkspost.
Don't even think about 1.1.4 at this point.
YOU NEED to get the installer on the phone so you can download the virginizer

If you cannot get the installer on the phone, post back, we have instructions for you.